:root {
    --primario: #9c2780;
    --primarioOscuro: #89119d;
    --secundario: #ffce00;
    --secundarioOscuro: rgb(233,287,2);
    --blanco: #fff;
     --negro: #000;
        
    --fuentePrincipal: 'Staatliches', cursive;
    
}

html {
    box-sizing: border-box;
    font-size: 62.5%;    
}

*, *:before, *:after {
    box-sizing: inherit;
}

/**Globales**/

body {
    background-color: var(--primario);
    font-size: 1.6rem;
    line-height: 1.5; /* Altura */
}
    
p {
    font-size: 1.8rem;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--blanco);
}

a {
    text-decoration: none;    
}

img {
    max-width: 100%; /* Ancho */
}

.contenedor {
    max-width: 120rem; /* Ancho */
    margin: 0 auto;
}

h1,h2,h3 {
    text-align: center;
    color: var(--secundario);
    font-family: var(--fuentePrincipal);
}

h1 {
    font-size: 4rem;    
}
h2 {
    font-size: 3.2rem;
}
h3 {
    font-size: 2.4rem;
}

/* Header*/

.header {
    display: flex;
    justify-content: center;
}

.header__logo {
    margin: 3rem 0;
}

/* Footer */
.footer {
    background-color: var(--primarioOscuro);
    padding: 1rem 0; /* Relleno 1rem es de arriba y abajo y el 0 es de izquierda y derecha */
    margin-top: 2rem;
}
.footer__texto {
    text-align: center;
    font-family: var(--fuentePrincipal);
    font-size: 2.2rem;
}

/* Navegacion*/

.navegacion {
    background-color: var(--primarioOscuro);
    padding: 1rem 0; /*Relleno*/
    display: flex;
    justify-content: center;
    gap: 2rem; /* Para separar los elemntos de la navegacion FORMA NUEVA*/ 

}

.navegacion__enlace {
    font-family: var(--fuentePrincipal);
    color: var(--blanco);
    font-size: 3rem;
    margin-right: 2rem; /*Para separar les enlaces FORMA VIEJA*/

}
.navegacion__enlace:last-of-type {
    margin-right: 0; /*Margen Derecho*/ 
}

.navegacion__enlace--activo,
.navegacion__enlace:hover {
    color: var(--secundario);
}

/* Grid */

.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    
    gap: 2rem;
}

@media (min-width: 768px) {
    .grid {
       grid-template-columns: repeat(3, 1fr); 
    }    
}

/*Productos*/
.producto {
    background-color: var(--primarioOscuro);
    padding: 1rem; /*separando su contenido del borde de ese elemento*/

}
.producto__imagen {
    width: 100%;
    
}
.producto__nombre {
    font-size: 4rem;
}
.producto__precio {
    font-size: 2.8rem;
    color: var(--secundario);
}
.producto__nombre,
.producto__precio {
    font-family: var(--fuentePrincipal);
    margin: 1rem 0;
    text-align: center;
    line-height: 1.2; /*altura de las líneas de un texto, lo que controla el espacio vertical entre ellas*/
}

/* Graficos*/

.grafico {
    min-height: 30rem; /* altura*/
    background-repeat: no-repeat;
    background-size: cover;
    grid-column: 1 /3; /* Columnas de la 1 a la 3*/

}
.grafico--camisas {
    grid-row: 2 / 3; /*Filas de la 2 a la 3*/    
    background-image: url(../img/grafico1.jpg);

}
.grafico--node {
    background-image: url(../img/grafico2.jpg);
    grid-row: 8 / 9;
}

@media (min-width: 768px){
    .grafico--node {
    grid-row: 5 / 6;
    grid-column: 2 / 4;
    }
}

/*Nosotros*/
.nosotros {
    display: grid;
    grid-template-rows: repeat(2, auto);    
}
@media (min-width: 768px) {
    .nosotros {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
    }
}

.nosotros__imagen {
    grid-row: 1 / 2;    
}

@media (min-width: 768px) {
    .nosotros__imagen {
        grid-column: 2 / 3;
    }
}

.imagenes {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
}
